package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxClockImg;

import java.util.List;


/**
 * 用户打卡图片关联Mapper接口
 *
 * @author flossom
 * @date 2024-01-27
 */
public interface WxClockImgMapper {
    /**
     * 查询用户打卡图片关联
     *
     * @param id 用户打卡图片关联主键
     * @return 用户打卡图片关联
     */
    public WxClockImg selectWxClockImgById(Long id);

    /**
     * 查询用户打卡图片关联列表
     *
     * @param wxClockImg 用户打卡图片关联
     * @return 用户打卡图片关联集合
     */
    public List<WxClockImg> selectWxClockImgList(WxClockImg wxClockImg);

    /**
     * 新增用户打卡图片关联
     *
     * @param wxClockImg 用户打卡图片关联
     * @return 结果
     */
    public int insertWxClockImg(WxClockImg wxClockImg);

    /**
     * 修改用户打卡图片关联
     *
     * @param wxClockImg 用户打卡图片关联
     * @return 结果
     */
    public int updateWxClockImg(WxClockImg wxClockImg);

    /**
     * 删除用户打卡图片关联
     *
     * @param id 用户打卡图片关联主键
     * @return 结果
     */
    public int deleteWxClockImgById(Long id);

    /**
     * 批量删除用户打卡图片关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxClockImgByIds(Long[] ids);

    void deleteByUserClockId(Long userClockId);
}
